cURL
curl --request GET \
--url https://api.getjusto.com/api/v2/menu/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getjusto.com/api/v2/menu/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getjusto.com/api/v2/menu/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"data": {
"menu": {
"name": "<string>",
"priority": 123,
"storesIds": [
"<string>"
],
"externalId": "<string>",
"channels": [],
"daysBefore": 123,
"schedule": {
"closedUntilDate": [
"2023-11-07T05:31:56Z"
],
"closedDays": [
"2023-11-07T05:31:56Z"
],
"availableAtPeriods": true,
"openPeriods": [
{
"daysOfWeek": [
"2023-11-07T05:31:56Z"
],
"fromMinute": 123,
"toMinute": 123
}
]
}
},
"products": [
{
"name": "<string>",
"description": "<string>",
"externalId": "<string>",
"priority": "<string>",
"price": 123,
"discount": "<string>",
"available": true,
"informativeStamps": [],
"categoriesExternalIds": [
"<string>"
],
"modifiersExternalIds": [
"<string>"
],
"images": [
"<string>"
],
"measurementValue": 123
}
],
"categories": [
{
"name": "<string>",
"externalId": "<string>",
"priority": "<string>"
}
],
"modifiers": [
{
"name": "<string>",
"shortName": "<string>",
"description": "<string>",
"optional": true,
"min": 123,
"max": 123,
"internalName": "<string>",
"externalId": "<string>",
"optionIds": [
"<string>"
]
}
],
"options": [
{
"name": "<string>",
"internalName": "<string>",
"max": 123,
"externalId": "<string>",
"price": 123,
"discount": "<string>",
"available": true
}
]
}
}Menú
Obtener un menú
Usa este método para obtener un menú con sus respectivos items
GET
/
menu
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Corresponde al identificador interno que posea cada marca para su respectivo menú.
⌘I